Subject: Re: linux-next: manual merge of the kvm tree

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 23 Dec 2008 12:38:50 +1100

On Mon, 2008-12-22 at 19:02 -0600, Hollis Blanchard wrote:
> If you commit a new change to your tree that reverses only the
> arch/powerpc/kvm/powerpc.c part of Ben's patch, would that solve the
> merge problem? ppc44x_defconfig would still fail in the meantime though.
> If you fix the ppc44x_defconfig build, the merge problem is compounded.
> Either way I guess it is something that needs to be sorted out in
> powerpc.git, so you can pick which style of breakage you'd prefer?

Or add #include "../mm/mmu_decl.h" to powerpc to fix the local build
breakage now and fix the merge conflict later at merge time.

Cheers,
Ben.